> For the complete documentation index, see [llms.txt](https://www.center.daxium-air.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.center.daxium-air.com/api-reference/views.md).

# Views

## Get a view

> Returns a configured submission view: display mode, ordered fields, and\
> filtering rules (on items and on metadata).<br>

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"views"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}},"schemas":{"View":{"type":"object","description":"Configured submission view","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier"},"name":{"type":"string","description":"Localised name of the view"},"icon":{"type":"object","description":"Icon type and value","properties":{"type":{"type":"string"},"value":{"type":"string"}}},"view_mode":{"type":"string","description":"View display mode (e.g. table)"},"view_options":{"type":"object","description":"View options","properties":{"ordered_fields":{"type":"array","description":"Ordered list of fields to display (applicable if view_mode = table)","items":{"type":"string"}}}},"assigned_to_user":{"type":"boolean","nullable":true,"description":"Whether the view restricts submissions to those assigned to the current user"},"filters":{"type":"array","description":"Filtering rules for the view","items":{"type":"object","properties":{"structure_id":{"type":"integer","description":"Form identifier of the submissions to display"},"item_filters":{"type":"array","description":"Filtering rules on fields","items":{"type":"object","properties":{"name":{"type":"string","description":"System name of the field"},"type":{"type":"string","description":"Daxium-Air type of the field"},"operator":{"type":"string","description":"Operator to apply"},"values":{"type":"array","description":"Values to compare the field value against via the operator","items":{}}}}},"metadata_filters":{"type":"array","description":"Filtering rules on metadata","items":{"type":"object","properties":{"name":{"type":"string","description":"System name of the metadata"},"operator":{"type":"string","description":"Operator to apply"},"values":{"type":"array","items":{}}}}}}}}}}}},"paths":{"/{app_short}/submissions_views/{view_id}":{"get":{"summary":"Get a view","description":"Returns a configured submission view: display mode, ordered fields, and\nfiltering rules (on items and on metadata).\n","tags":["views"],"operationId":"getView","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"view_id","in":"path","required":true,"description":"View identifier (UUID)","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"View object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/View"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.center.daxium-air.com/api-reference/views.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
